org.eclipse.mat.query.refined

## Interface Filter.ValueConverter

Enclosing class:
  Filter

    public static interface Filter.ValueConverter

A ValueConverter attached to a column modifies the cell before it is tested in a filter or displayed. An example is where approximate retained sizes are stored as negative numbers, but need the positive value for display. See `Column.setData(Object, Object)` and see `Column.getData(Object)`, as used in and `org.eclipse.mat.snapshot.query.RetainedSizeDerivedData#columnFor(org.eclipse.mat.query.DerivedColumn, org.eclipse.mat.query.IResult, org.eclipse.mat.query.ContextProvider)`

### Method Summary

All Methods Instance Methods Abstract Methods
`double` `convert(double source)`

### Method Detail

#### convert

    double convert(double source)